<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:20 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SW_ResourceCorePackageImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SW_ResourceCorePackageImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":9,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SW_ResourceCorePackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCoreFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwAccessServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html" target="_top">Frames</a></li>
<li><a href="SW_ResourceCorePackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl</div>
<h2 title="Class SW_ResourceCorePackageImpl" class="title">Class SW_ResourceCorePackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl.SW_ResourceCorePackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SW_ResourceCorePackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.SW_ResourceCorePackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>name, NAME_EDEFAULT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.SW_ResourceCorePackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#eNAME">eNAME</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE">SW_ACCESS_SERVICE</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__ACCESSED_ELEMENT">SW_ACCESS_SERVICE__ACCESSED_ELEMENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__BASE_BEHAVIOR">SW_ACCESS_SERVICE__BASE_BEHAVIOR</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__BASE_BEHAVIORAL_FEATURE">SW_ACCESS_SERVICE__BASE_BEHAVIORAL_FEATURE</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__BASE_COLLABORATION">SW_ACCESS_SERVICE__BASE_COLLABORATION</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__BASE_COLLABORATION_USE">SW_ACCESS_SERVICE__BASE_COLLABORATION_USE</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__BASE_EXECUTION_SPECIFICATION">SW_ACCESS_SERVICE__BASE_EXECUTION_SPECIFICATION</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__IS_MODIFIER">SW_ACCESS_SERVICE__IS_MODIFIER</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE__OWNER">SW_ACCESS_SERVICE__OWNER</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_ACCESS_SERVICE_FEATURE_COUNT">SW_ACCESS_SERVICE_FEATURE_COUNT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE">SW_RESOURCE</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__BASE_CLASSIFIER">SW_RESOURCE__BASE_CLASSIFIER</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__BASE_CONNECTABLE_ELEMENT">SW_RESOURCE__BASE_CONNECTABLE_ELEMENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__BASE_INSTANCE_SPECIFICATION">SW_RESOURCE__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__BASE_LIFELINE">SW_RESOURCE__BASE_LIFELINE</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__BASE_PROPERTY">SW_RESOURCE__BASE_PROPERTY</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__CREATE_SERVICES">SW_RESOURCE__CREATE_SERVICES</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__DELETE_SERVICES">SW_RESOURCE__DELETE_SERVICES</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__IDENTIFIER_ELEMENTS">SW_RESOURCE__IDENTIFIER_ELEMENTS</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__INITIALIZE_SERVICES">SW_RESOURCE__INITIALIZE_SERVICES</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__IS_ACTIVE">SW_RESOURCE__IS_ACTIVE</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__IS_PROTECTED">SW_RESOURCE__IS_PROTECTED</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__MEMORY_SIZE_FOOTPRINT">SW_RESOURCE__MEMORY_SIZE_FOOTPRINT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__RES_MULT">SW_RESOURCE__RES_MULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE__STATE_ELEMENTS">SW_RESOURCE__STATE_ELEMENTS</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#SW_RESOURCE_FEATURE_COUNT">SW_RESOURCE_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCoreFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCoreFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSW_ResourceCoreFactory--">getSW_ResourceCoreFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwAccessService_AccessedElement--">getSwAccessService_AccessedElement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwAccessService_IsModifier--">getSwAccessService_IsModifier</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwAccessService--">getSwAccessService</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource_CreateServices--">getSwResource_CreateServices</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource_DeleteServices--">getSwResource_DeleteServices</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource_IdentifierElements--">getSwResource_IdentifierElements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource_InitializeServices--">getSwResource_InitializeServices</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource_MemorySizeFootprint--">getSwResource_MemorySizeFootprint</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource_StateElements--">getSwResource_StateElements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#getSwResource--">getSwResource</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.

 <p>
 This method is used to initialize <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#eINSTANCE"><code>SW_ResourceCorePackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#eNS_URI"><code>SW_ResourceCorePackage.eNS_URI</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwResource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwResource</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getSwResource()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--">getSwResource</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Sw Resource</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><code>SwResource</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwResource_IdentifierElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwResource_IdentifierElements</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSwResource_IdentifierElements()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_IdentifierElements--">getSwResource_IdentifierElements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Identifier Elements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--"><code>SwResource.getIdentifierElements()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--"><code>SW_ResourceCorePackage.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwResource_StateElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwResource_StateElements</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSwResource_StateElements()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_StateElements--">getSwResource_StateElements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>State Elements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--"><code>SwResource.getStateElements()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--"><code>SW_ResourceCorePackage.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwResource_MemorySizeFootprint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwResource_MemorySizeFootprint</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSwResource_MemorySizeFootprint()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_MemorySizeFootprint--">getSwResource_MemorySizeFootprint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Memory Size Footprint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--"><code>SwResource.getMemorySizeFootprint()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--"><code>SW_ResourceCorePackage.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwResource_CreateServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwResource_CreateServices</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSwResource_CreateServices()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_CreateServices--">getSwResource_CreateServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Create Services</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--"><code>SwResource.getCreateServices()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--"><code>SW_ResourceCorePackage.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwResource_DeleteServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwResource_DeleteServices</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSwResource_DeleteServices()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_DeleteServices--">getSwResource_DeleteServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Delete Services</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--"><code>SwResource.getDeleteServices()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--"><code>SW_ResourceCorePackage.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwResource_InitializeServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwResource_InitializeServices</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSwResource_InitializeServices()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource_InitializeServices--">getSwResource_InitializeServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Initialize Services</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--"><code>SwResource.getInitializeServices()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwResource--"><code>SW_ResourceCorePackage.getSwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwAccessService--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwAccessService</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getSwAccessService()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwAccessService--">getSwAccessService</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Sw Access Service</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore"><code>SwAccessService</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwAccessService_IsModifier--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwAccessService_IsModifier</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getSwAccessService_IsModifier()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwAccessService_IsModifier--">getSwAccessService_IsModifier</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Is Modifier</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html#isModifier--"><code>SwAccessService.isModifier()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwAccessService--"><code>SW_ResourceCorePackage.getSwAccessService()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSwAccessService_AccessedElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSwAccessService_AccessedElement</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSwAccessService_AccessedElement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwAccessService_AccessedElement--">getSwAccessService_AccessedElement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Accessed Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html#getAccessedElement--"><code>SwAccessService.getAccessedElement()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSwAccessService--"><code>SW_ResourceCorePackage.getSwAccessService()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSW_ResourceCoreFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSW_ResourceCoreFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCoreFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCoreFactory</a>&nbsp;getSW_ResourceCoreFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html#getSW_ResourceCoreFactory--">getSW_ResourceCoreFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SW_ResourceCorePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SW_ResourceCorePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package. This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model. This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SW_ResourceCorePackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCoreFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwAccessServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SW_ResourceCorePackageImpl.html" target="_top">Frames</a></li>
<li><a href="SW_ResourceCorePackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
